=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kpim6-kmime-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Git: https://invent.kde.org/neon/kde/ksmtp.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksmtp
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-ksmtp
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpimsmtp5, libkpimsmtp6
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

Package: kpim6-ksmtp-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcoreaddons-dev,
         kf6-kio-dev,
         kpim6-kmime-dev,
         kpim6-ksmtp (= ${binary:Version}),
         libboost-dev (>= 1.34.0~),
         libsasl2-dev,
         ${misc:Depends}
Replaces: libkpimsmtp-dev
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp6
Architecture: all
Depends: kpim6-ksmtp, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimsmtp5
Architecture: all
Depends: kpim6-ksmtp, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimsmtp-dev
Architecture: all
Depends: kpim6-ksmtp-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
