## ksmtp 25.08.1+p24.04+vstable+git20250910.0236

=== debian/changelog ===
ksmtp (25.08.1+p24.04+vstable+git20250910.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:36:30 +0000
