## ksmtp 25.08.1+p24.04+vstable+git20250914.1457

=== debian/changelog ===
ksmtp (25.08.1+p24.04+vstable+git20250914.1457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 14:57:02 +0000
