## ksmtp 25.08.2+p24.04+vstable+git20251028.0948

=== debian/changelog ===
ksmtp (25.08.2+p24.04+vstable+git20251028.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:48:40 +0000
