## ksmtp 25.08.2+p24.04+vunstable+git20251015.1329

=== debian/changelog ===
ksmtp (25.08.2+p24.04+vunstable+git20251015.1329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:29:42 +0000
