=== debian/changelog ===
ksmtp (25.08.3+p24.04+vunstable+git20251202.1047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:47:49 +0000

ksmtp (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:53 +1000
