## ksmtp 25.08.3+p24.04+vunstable+git20251206.0633

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # ECM setup
 set(KF_MIN_VERSION "6.19.0")
 set(QT_REQUIRED_VERSION "6.9.0")
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
