## ksmtp 25.12.0+p24.04+vunstable+git20260101.2143

=== debian/changelog ===
ksmtp (25.12.0+p24.04+vunstable+git20260101.2143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 21:43:19 +0000
