=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
                libsasl2-dev,
                qt6-base-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/ksmtp
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git
@@ -33,7 +33,7 @@
 Package: libksmtp-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.14.0~),
+Depends: libkf6coreaddons-dev (>= 6.18.0~),
          libkpim6smtp6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
