## ksmtp 25.12.1+p24.04+vstable+git20260106.2018

=== debian/changelog ===
ksmtp (25.12.1+p24.04+vstable+git20260106.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:18:39 +0000

ksmtp (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:55 +1000
