## ksmtp 25.12.1+p24.04+vunstable+git20260106.2019

=== debian/changelog ===
ksmtp (25.12.1+p24.04+vunstable+git20260106.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:19:04 +0000
