=== debian/changelog ===
ksmtp (25.12.2+p24.04+vunstable+git20260206.1436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 14:36:43 +0000

ksmtp (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:12:58 +0000
